SchemaReverse::CodesBaseReverse Class Reference

A basic class for all DB object classes which use SQL code as base of its content. More...

Inheritance diagram for SchemaReverse::CodesBaseReverse:
[legend]

## Public Member Functions

| constructor (string object_type, AbstractDatasource ds, string mask, string function_name,)
hash | toQore ()
| Dedicated functionlity to get DB object info into the internal structure is done here. More...
Public Member Functions inherited from SchemaReverse::AbstractReverseObject
| constructor (AbstractDatasource ds, string name)
Database | database ()
AbstractDatasource | datasource ()
string | name ()
string | toString ()
| Make a string with Qore code from a structure prepared by AbstractReverseObject::toQore(). More...

## Detailed Description

A basic class for all DB object classes which use SQL code as base of its content.

For example multiple VIEWs or PROCEDUREs etc. This class is not primarily used for direct usage in user code, but only as a base for real implementations.

## Member Function Documentation

## constructor()

SchemaReverse::CodesBaseReverse::constructor | ( | string | object_type,
|  | AbstractDatasource | ds,
|  | string | mask,
|  | string | function_name
| ) |  |

inline

Parameters

  object_type | a string with DB type name see TYPE_TO_CLASS map
  ds | a datasource
  mask | a string with DB object name or regex to match names
  function_name | to get the DB object info, as eg 'getView'

## toQore()

hash SchemaReverse::CodesBaseReverse::toQore | ( |  | ) |

virtual

Dedicated functionlity to get DB object info into the internal structure is done here.

All inherited classes must implement this method to get all required DB metadata in proper format

Implements SchemaReverse::AbstractReverseObject.